All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::ocl::unknown_error Class Reference

Exception thrown if the returned error cannot be resolved to some defined error constant. Might result from invalid sources, invalid memory operations, etc. More...

`#include <error.hpp>`

Inheritance diagram for viennacl::ocl::unknown_error:

## Detailed Description

Exception thrown if the returned error cannot be resolved to some defined error constant. Might result from invalid sources, invalid memory operations, etc.

Definition at line 563 of file error.hpp.

The documentation for this class was generated from the following file:

- viennacl/ocl/error.hpp